/**
 * Create a webmaster development server context.
 * @function serverside.context.newWebmasterDevContext
 * @param {object} [context] - Predefined context object.
 * @returns {object} - Defined server context object.
 * @author Taka Okunishi
 *
 */

var object = require('../../lib/object'),
    deepCopy = object.deepCopy,
    newOperationContext = require('./new_operation_context');


exports = module.exports = function (context) {
    context = newOperationContext(context);

    return deepCopy(exports._constants, context);

};

exports._constants = require('../constants/operation-dev-constants');